%define real_name NetPIPE

Summary:        Protocol independent performance tool
Name:           netpipe
Version:        3.7.1
Release:        %mkrel 14
License:        GPL
Group:          Networking/Other
URL:            https://www.ameslab.gov/scl/netpipe
Source:         https://www.ameslab.gov/sites/default/files/%{real_name}-%{version}.tar.gz

%description
NetPIPE is a protocol independent performance tool that visually represents
the network performance under a variety of conditions. It performs simple
ping-pong tests, bouncing messages of increasing size between two processes,
whether across a network or within an SMP system. Message sizes are chosen
at regular intervals, and with slight perturbations, to provide a complete
test of the communication system. Each data point involves many ping-pong
tests to provide an accurate timing. Latencies are calculated by dividing
the round trip time in half for small messages ( < 64 Bytes ). 

%prep
%setup -q -n %{real_name}-%{version}

%build
%make_build memcpy tcp 

%install
%{__install} -D -m0755 NPmemcpy %{buildroot}%{_bindir}/NPmemcpy
%{__install} -D -m0755 NPtcp %{buildroot}%{_bindir}/NPtcp
%{__install} -D -m0644 dox/netpipe.1 %{buildroot}%{_mandir}/man1/netpipe.1

%files
# not in package as they requires gnupot and csh
%doc bin/*
%doc dox/README dox/*pdf 
%{_mandir}/man1/netpipe.1*
%{_bindir}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 3.7.1-14.mga9
+ Revision: 1792156
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.7.1-13.mga8
+ Revision: 1515352
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.7.1-12.mga7
+ Revision: 1299715
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix Source0 and URL links
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 3.7.1-11.mga6
+ Revision: 931717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.7.1-10.mga5
+ Revision: 747534
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.7.1-9.mga5
+ Revision: 725135
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.1-8.mga5
+ Revision: 682856
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.7.1-7.mga4
+ Revision: 508306
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 erwan <erwan> 3.7.1-5.mga1
+ Revision: 24736
- imported package netpipe


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.7.1-5mdv2010.0
+ Revision: 430166
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.7.1-4mdv2009.0
+ Revision: 253842
- rebuild

* Mon Mar 10 2008 Erwan Velu <erwan@mandriva.org> 3.7.1-2mdv2008.1
+ Revision: 183363
- Rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 09 2007 Erwan Velu <erwan@mandriva.org> 3.7.1-1mdv2008.0
+ Revision: 37720
- 3.7.1


* Mon Feb 12 2007 Erwan Velu <erwan@mandriva.org> 3.7-0.rc3mdv2007.0
+ Revision: 119979
- 3.7-rc3
- Import netpipe

* Tue Jan 17 2006 Michael Scherer <misc@mandriva.org> 3.6.2-2mdk
- use mkrel

* Sat Jan 15 2005 Michael Scherer <misc@mandrake.org> 3.6.2-1mdk
- import into contribs, based on Dag Wieers spec

